
From: Dominik Hackl <dominik@hackl.dhs.org>

This patch replaces the deprecated MODULE_PARM function by the new
module_param function.

Signed-off-by: Dominik Hackl <dominik@hackl.dhs.org>
Signed-off-by: Jeff Dike <jdike@addtoit.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/um/drivers/hostaudio_kern.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN arch/um/drivers/hostaudio_kern.c~uml-update-module-interface arch/um/drivers/hostaudio_kern.c
--- 25/arch/um/drivers/hostaudio_kern.c~uml-update-module-interface	Tue Jul 26 14:29:47 2005
+++ 25-akpm/arch/um/drivers/hostaudio_kern.c	Tue Jul 26 14:29:47 2005
@@ -57,10 +57,10 @@ __uml_setup("mixer=", set_mixer, "mixer=
 
 #else /*MODULE*/
 
-MODULE_PARM(dsp, "s");
+module_param(dsp, charp, 0644);
 MODULE_PARM_DESC(dsp, DSP_HELP);
 
-MODULE_PARM(mixer, "s");
+module_param(mixer, charp, 0644);
 MODULE_PARM_DESC(mixer, MIXER_HELP);
 
 #endif
_
